Autocomplete UI

Autocomplete UI
0.0 0

#1

Why the Autocomplete dropdown list does not work on codepen? but it works on Firefox directly?


#2

Hi @Akram73

If you open up the console and trigger the autocomplete field, you’ll see that you’re getting the error:

VM134 jquery.min.js:4 Mixed Content: The page at ‘https://codepen.io/Akram73/pen/rvgpaP?editors=0010’ was loaded over HTTPS, but requested an insecure script ‘http://en.wikipedia.org/w/api.php?callback=jQuery21309011516126402919_1527248860331&action=opensearch&format=json&search=asd&_=1527248860332’. This request has been blocked; the content must be served over HTTPS.

Codepen will only load over HTTPS as far as I’m aware, so easy fix, make a call to the https wiki api:

url: "https://en.wikipedia.org/w/api.php",

#3

You’ve got at least one spelling error, and you’ll need to include jQuery/jQuery UI using CodePen’s interface rather than in the HTML.


#4

wow! good one. thank you so much I could not have figured that